import json


template = """
<!-- row -->

{{#cell}}
**{}**
{{/cell}}

{{#cell}}
{}
{{/cell}}

{{#cell}}
`{}`
{{/cell}}

{{#cell}}
*{}*
{{/cell}}

"""

def main():
    with open("plugin.json") as f:
        data = json.load(f)

    for m in data["metrics"]:
        row = template.format(
            m["timeseries"]["displayname"],
            "REPLACE",
            f'\\{m["source"]["object"]}\\{m["source"]["counter"]}',
            f'{", ".join(m["source"]["modes"])}')
        print(row)


if __name__ == '__main__':
    main()
