import logging

from perfmon_api import Perfmon

log = logging.getLogger(__name__)


def main():
    with Perfmon(log) as p:
        p.add_counter("Processor", "% Idle Time", "cpu")
        p.collect_data()

    for metric, counters in p.get_counters_per_key().items():
        for counter in counters:
            print(counter)


if __name__ == '__main__':
    main()
